curl --request POST \
--url 'https://api.stateset.com/api/v1/purchase-orders/{id}/cancel' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
Cancel a purchase orders
Cancel a purchase orders
POST
/
api
/
v1
/
purchase-orders
/
{id}
/
cancel
curl --request POST \
--url 'https://api.stateset.com/api/v1/purchase-orders/{id}/cancel' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
Path parameters
string
required
Purchase order ID
Responses
PurchaseOrderResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/purchase-orders/{id}/cancel' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"approved_by": null,
"created_at": "string",
"currency": "string",
"discount_amount": "string",
"id": "string",
"items": [
{
"created_at": "string",
"id": "string",
"line_total": "string",
"name": "string",
"product_id": null,
"purchase_order_id": "string",
"quantity_ordered": "string",
"quantity_received": "string",
"sku": "string",
"supplier_sku": null,
"unit_cost": "string"
}
],
"payment_terms": "string",
"po_number": "string",
"shipping_cost": "string",
"status": "string",
"subtotal": "string",
"supplier_id": "string",
"supplier_reference": null,
"tax_amount": "string",
"total": "string"
}
โI